Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor Class Reference

Processor for SiteAccess aware configuration processing. More...

## Public Member Functions
| __construct (ContainerInterface $containerBuilder, $namespace, $siteAcccessNodeName='system')
| mapConfig (array $config, $mapper)
| Triggers mapping process between semantic and internal configuration. More...
| mapSetting ($id, array $config)
| Proxy to `Contextualizer::mapSetting()`. More...
| mapConfigArray ($id, array $config, $options=0)
| Proxy to `Contextualizer::mapConfigArray()`. More...
| setContextualizer (ContextualizerInterface $contextualizer)
| getContextualizer ()

## Static Public Member Functions
static | setAvailableSiteAccesses (array $availableSiteAccesses)
| Injects available SiteAccesses. More...
static | setGroupsBySiteAccess (array $groupsBySiteAccess)
| Injects available scope groups, indexed by scope. More...

## Protected Member Functions
| buildContextualizer (ContainerInterface $containerBuilder, $namespace, $siteAccessNodeName)
| Builds configuration contextualizer (I know, sounds obvious...). More...

## Protected Attributes
| $scopeNodeName
| $contextualizer

## Static Protected Attributes
static | $availableSiteAccesses = []
static | $groupsBySiteAccess = []

## Detailed Description

Processor for SiteAccess aware configuration processing.

Use it when you want to map SiteAccess dependent semantic configuration to internal settings, readable with the ConfigResolver.

Definition at line 17 of file ConfigurationProcessor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::__construct | ( | ContainerInterface | $containerBuilder,
|  |  | $namespace,
|  |  | $siteAcccessNodeName = `'system'`
| ) |  |

Definition at line 43 of file ConfigurationProcessor.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\buildContextualizer().

## Member Function Documentation

## ◆ buildContextualizer()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::buildContextualizer | ( | ContainerInterface | $containerBuilder,
|  |  | $namespace,
|  |  | $siteAccessNodeName
| ) |  |
| protected

Builds configuration contextualizer (I know, sounds obvious...).

Override this method if you want to use your own contextualizer class.

static::$scopes and static::$groupsByScope must be injected first.

Parameters

  \Symfony\Component\DependencyInjection\ContainerInterface | $containerBuilder |
  string | $namespace |
  string | $siteAccessNodeName |

Returns
  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface

Definition at line 152 of file ConfigurationProcessor.php.

References $containerBuilder.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\__construct().

## ◆ getContextualizer()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::getContextualizer | ( |  | ) |

Returns
  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface

Definition at line 168 of file ConfigurationProcessor.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\$contextualizer.

## ◆ mapConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::mapConfig | ( | array | $config,
|  |  | $mapper
| ) |  |

Triggers mapping process between semantic and internal configuration.

Parameters

  array | $config | Parsed semantic configuration
  ConfigurationMapperInterface | callable | $mapper | Mapper to use. Can be either an instance of ConfigurationMapper or a callable. HookableConfigurationMapper can also be used. In this case, preMap() and postMap() will be also called respectively before and after the mapping loop.

If $mapper is a callable, the same arguments as defined in the signature defined in ConfigurationMapper interface will be passed: `array $scopeSettings, $currentScope, ContextualizerInterface $contextualizer`

Exceptions

Definition at line 88 of file ConfigurationProcessor.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\$scopeNodeName.

## ◆ mapConfigArray()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::mapConfigArray | ( |  | $id,
|  | array | $config,
|  |  | $options = `0`
| ) |  |

Proxy to `Contextualizer::mapConfigArray()`.

See also
  ContextualizerInterface::mapConfigArray()

Parameters

  string | $id | Id of the setting array to map.
  array | $config | Full semantic configuration array for current bundle.
  int | $options | Bit mask of options (See constants of `ContextualizerInterface`)

Definition at line 135 of file ConfigurationProcessor.php.

## ◆ mapSetting()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::mapSetting | ( |  | $id,
|  | array | $config
| ) |  |

Proxy to `Contextualizer::mapSetting()`.

See also
  ContextualizerInterface::mapSetting()

Parameters

  string | $id | Id of the setting to map.
  array | $config | Full semantic configuration array for current bundle.

Definition at line 121 of file ConfigurationProcessor.php.

## ◆ setAvailableSiteAccesses()

static eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::setAvailableSiteAccesses | ( | array | $availableSiteAccesses | ) |
| static

Injects available SiteAccesses.

Important: Available SiteAccesses need to be set before ConfigurationProcessor to be constructed by a bundle to set its configuration up.

Parameters

  array | $availableSiteAccesses |

Definition at line 56 of file ConfigurationProcessor.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\$availableSiteAccesses.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\EzPublishCoreExtension\registerSiteAccessConfiguration().

## ◆ setContextualizer()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::setContextualizer | ( | ContextualizerInterface | $contextualizer | ) |

Parameters

  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface | $contextualizer |

Definition at line 160 of file ConfigurationProcessor.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\$contextualizer.

## ◆ setGroupsBySiteAccess()

static eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::setGroupsBySiteAccess | ( | array | $groupsBySiteAccess | ) |
| static

Injects available scope groups, indexed by scope.

Important: Groups need to be set before ConfigurationProcessor to be constructed by a bundle to set its configuration up.

Parameters

  array | $groupsBySiteAccess |

Definition at line 69 of file ConfigurationProcessor.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\$groupsBySiteAccess.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\EzPublishCoreExtension\registerSiteAccessConfiguration().

## Member Data Documentation

## ◆ $availableSiteAccesses

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::$availableSiteAccesses = []
| static protected

Definition at line 24 of file ConfigurationProcessor.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\setAvailableSiteAccesses().

## ◆ $contextualizer

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::$contextualizer
| protected

Definition at line 41 of file ConfigurationProcessor.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\getContextualizer(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\setContextualizer().

## ◆ $groupsBySiteAccess

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::$groupsBySiteAccess = []
| static protected

Definition at line 31 of file ConfigurationProcessor.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\setGroupsBySiteAccess().

## ◆ $scopeNodeName

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor::$scopeNodeName
| protected

Definition at line 38 of file ConfigurationProcessor.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationProcessor\mapConfig().

The documentation for this class was generated from the following file:

- ConfigurationProcessor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.